ch.qos.logback.access.tomcat

## Class TomcatServerAdapter

- java.lang.Object
- - ch.qos.logback.access.tomcat.TomcatServerAdapter

All Implemented Interfaces:
  ServerAdapter

    public class TomcatServerAdapter
    extends Object
    implements ServerAdapter

A tomcat specific implementation of the `ServerAdapter` interface.

Author:
  Sébastien Pennec

### Constructor Summary

Constructors
Constructor and Description
`TomcatServerAdapter(org.apache.catalina.connector.Request tomcatRequest, org.apache.catalina.connector.Response tomcatResponse)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,String>` `buildResponseHeaderMap()`
`long` `getContentLength()`
`long` `getRequestTimestamp()`
`int` `getStatusCode()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TomcatServerAdapter

    public TomcatServerAdapter(org.apache.catalina.connector.Request tomcatRequest,
                               org.apache.catalina.connector.Response tomcatResponse)

### Method Detail

#### getContentLength

    public long getContentLength()

Specified by:
  `getContentLength` in interface `ServerAdapter`

#### getStatusCode

    public int getStatusCode()

Specified by:
  `getStatusCode` in interface `ServerAdapter`

#### getRequestTimestamp

    public long getRequestTimestamp()

Specified by:
  `getRequestTimestamp` in interface `ServerAdapter`

#### buildResponseHeaderMap

    public Map<String,String> buildResponseHeaderMap()

Specified by:
  `buildResponseHeaderMap` in interface `ServerAdapter`